<?php  if(!defined('DEDEMEMBER')) exit("dedecms");
/**
 * 模型列表函數
 * 
 * @version        $Id: inc_list_functions.php 1 13:52 2010年7月9日Z tianya $
 * @package        DedeCMS.Member
 * @copyright      Copyright (c) 2007 - 2010, DesDev, Inc.
 * @license        http://help.dedecms.com/usersguide/license.html
 * @link           http://www.dedecms.com
 */

/**
 *  獲得是否推薦的表述
 *
 * @param     string  $iscommend  推薦
 * @return    string
 */
function IsCommendArchives($iscommend)
{
    $s = '';
    if(preg_match('/c/', $iscommend))
    {
        $s .= '推薦';
    }
    else if(preg_match('/h/', $iscommend))
    {
        $s .= ' 頭條';
    }
    else if(preg_match('/p/', $iscommend))
    {
        $s .= ' 圖片';
    }
    else if(preg_match('/j/', $iscommend))
    {
        $s .= ' 跳轉';
    }
    return $s;
}

/**
 *  獲得推薦的標題
 *
 * @param     string  $title  標題
 * @param     string  $iscommend  推薦
 * @return    string
 */
function GetCommendTitle($title, $iscommend)
{
    if(preg_match('/c/', $iscommend))
    {
        $title = "$title<font color='red'>(推薦)</font>";
    }
    return "$title";
}

$GLOBALS['RndTrunID'] = 1;
/**
 *  更換顏色
 *
 * @param     string  $color1  顏色1
 * @param     string  $color2  顏色2
 * @return    string
 */
function GetColor($color1,$color2)
{
    $GLOBALS['RndTrunID']++;
    if($GLOBALS['RndTrunID']%2==0)
    {
        return $color1;
    }
    else
    {
        return $color2;
    }
}

/**
 *  檢查圖片是否存在
 *
 * @param     string  $picname  圖片地址
 * @return    string
 */
function CheckPic($picname)
{
    if($picname!="")
    {
        return $picname;
    }
    else
    {
        return "images/dfpic.gif";
    }
}

/**
 *  判斷內容是否生成HTML
 *
 * @param     int  $ismake  是否生成
 * @return    string
 */
function IsHtmlArchives($ismake)
{
    if($ismake==1)
    {
        return "已生成";
    }
    else if($ismake==-1)
    {
        return "僅動態";
    }
    else
    {
        return "<font color='red'>未生成</font>";
    }
}

/**
 *  獲得內容的限定級別名稱
 *
 * @param     string  $arcrank  級別名稱
 * @return    string
 */
function GetRankName($arcrank)
{
    global $arcArray;
    if(!is_array($arcArray))
    {
        $dsql->SetQuery("SELECT * FROM #@__arcrank");
        $dsql->Execute();
        while($row = $dsql->GetObject())
        {
            $arcArray[$row->rank]=$row->membername;
        }
    }
    if(isset($arcArray[$arcrank]))
    {
        return $arcArray[$arcrank];
    }
    else
    {
        return "不限";
    }
}

/**
 *  判斷內容是否為圖片文章
 *
 * @param     string  $picname  圖片名稱
 * @return    string
 */
function IsPicArchives($picname)
{
    if($picname!="")
    {
        return "<font color='red'>(圖)</font>";
    }
    else
    {
        return "";
    }
}